* { box-sizing: border-box; }

body {
  margin: 0;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, sans-serif;
  background: #09090b;
  color: #f4f4f5;
}

.app {
  max-width: 1100px;
  margin: 0 auto;
  padding: 20px;
}

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 16px;
  margin-bottom: 16px;
}

footer {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 16px;
  margin-top: 32px;
  margin-bottom: 16px;
  font-size: 8px
}

h1, h2, p { margin: 0; }

#subtitle, #appName, .time {
  color: #a1a1aa;
}

#stateBadge {
  padding: 8px 12px;
  border-radius: 999px;
  background: #27272a;
  font-size: 14px;
}

.player-wrap {
  aspect-ratio: 16 / 9;
  background: #000;
  border-radius: 18px;
  overflow: hidden;
  box-shadow: 0 20px 80px rgba(0,0,0,.5);
}

iframe {
  width: 100%;
  height: 100%;
  border: 0;
}

.now {
  margin-top: 18px;
}

.progress {
  height: 10px;
  background: #27272a;
  border-radius: 999px;
  overflow: hidden;
  margin: 12px 0 6px;
}

#bar {
  width: 0%;
  height: 100%;
  background: #f4f4f5;
}

.time {
  display: flex;
  justify-content: space-between;
  font-variant-numeric: tabular-nums;
}

.controls {
  display: flex;
  justify-content: center;
  gap: 14px;
  margin-top: 20px;
}

button {
  border: 0;
  border-radius: 16px;
  background: #27272a;
  color: #f4f4f5;
  font-size: 24px;
  padding: 14px 22px;
  cursor: pointer;
}

button.big {
  font-size: 32px;
  padding: 14px 30px;
}

button:hover {
  background: #3f3f46;
}
